using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class DirectLinkRequestPacket : IPacket
{
	public string Url { get; set; }

	public DirectLinkRequestPacket()
	{
	}

	public DirectLinkRequestPacket(string url)
	{
		Url = url;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(Url ?? "");
	}

	public void Read(BinaryReader r)
	{
		Url = r.ReadString();
	}
}
